context = window

@TestComponent = React.createClass({

  getInitialState: () ->
    {something: 1}

  tick: () ->
    console.log("tick")
    this.setState({something: this.state.something + 1})

  componentDidMount: () ->
    console.log("here")
    setInterval(@tick, 1000)

  render: () ->
    console.log("render")
    `<div>{this.state.something}</div>`
})